twitter4j

## Class JSONObjectType

- java.lang.Object
- - twitter4j.JSONObjectType

    public final class JSONObjectType
    extends Object

Since:
  Twitter4J 2.1.9
Author:
  Dan Checkoway - dcheckoway at gmail.com

### Nested Class Summary

Nested Classes
`static class` `JSONObjectType.Type`

### Constructor Summary

Constructors
Constructor and Description
`JSONObjectType()`

### Method Summary

All Methods Static Methods Concrete Methods
`static JSONObjectType.Type` `determine(JSONObject json)` Determine the respective object type for a given JSONObject.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONObjectType

    public JSONObjectType()

### Method Detail

#### determine

    public static JSONObjectType.Type determine(JSONObject json)

Determine the respective object type for a given JSONObject. This method inspects the object to figure out what type of object it represents. This is useful when processing JSON events of mixed type from a stream, in which case you may need to know what type of object to construct, or how to handle the event properly.

Parameters:
  `json` - the JSONObject whose type should be determined
Returns:
  the determined JSONObjectType, or null if not recognized